{
  "attestations" : [ ],
  "calculationStatus" : "WAITING",
  "defaultOptimisticMode" : true,
  "engines" : {
    "engines" : [ {
      "identity" : "000000000000000000000000000000000000000022",
      "publicKey" : "A0IfX8miEGVEXJb9uRwMHi8kMXQccnE7S5ndyzFvMen8",
      "restInterface" : "https://zk.com"
    }, {
      "identity" : "000000000000000000000000000000000000000023",
      "publicKey" : "Ay+iEE1rONEbAjABBVmHkSTkKrjf7/X/Kdyc2t1Oysw/",
      "restInterface" : "https://zk.com"
    }, {
      "identity" : "000000000000000000000000000000000000000024",
      "publicKey" : "A/5yxDVBPTPUisCckWG6iwloMhVDnWK3lAUCvaiyAubO",
      "restInterface" : "https://zk.com"
    }, {
      "identity" : "000000000000000000000000000000000000000025",
      "publicKey" : "ApJIJ5sJtNaNqyGpsGbt2oMmPD2E4JVy4mnKDNf1RTcU",
      "restInterface" : "https://zk.com"
    } ]
  },
  "externalEvents" : {
    "confirmedEvents" : [ ],
    "nextEventId" : 1,
    "nextSubscriptionId" : 1,
    "subscriptions" : [ ]
  },
  "finishedComputations" : [ ],
  "nextAttestationId" : 1,
  "nextVariableId" : 3,
  "nodeRegistryContract" : "01a000000000000000000000000000000000000999",
  "openState" : {
    "avlTrees" : [ ],
    "openState" : {
      "data" : "AwAAAAAAAAA="
    }
  },
  "pendingInput" : [ ],
  "pendingOnChainOpen" : [ {
    "key" : 2,
    "value" : {
      "bitLengths" : [ {
        "key" : 1,
        "value" : {
          "bitLengths" : [ 32 ]
        }
      } ],
      "outputId" : {
        "id" : 2,
        "receivedForEngine" : 0
      },
      "shares" : [ ],
      "variables" : [ 1 ]
    }
  } ],
  "preProcessMaterials" : [ {
    "key" : "BINARY_TRIPLE",
    "value" : {
      "batchIds" : [ 1, 3 ],
      "numElementsToPrefetch" : 0,
      "numRequestedBatches" : 2,
      "numUsedElements" : "100"
    }
  } ],
  "preprocessContract" : "01a000000000000000000000000000000000000888",
  "variables" : [ {
    "key" : 1,
    "value" : {
      "id" : 1,
      "information" : {
        "data" : "AAAAAAAAAAA="
      },
      "inputMaskOffset" : 0,
      "owner" : "01a000000000000000000000000000000000000001",
      "sealed" : false,
      "shareBitLengths" : [ 32 ]
    }
  } ],
  "zkComputationDeadline" : "1658966400000"
}